# Uses of Class
com.ngrok.definitions.AwsAuth

Packages that use AwsAuth
Package
Description
com.ngrok.definitions

- ## Uses of AwsAuth in com.ngrok.definitions

  Methods in com.ngrok.definitions that return AwsAuth
  Modifier and Type
  Method
  Description
  `AwsAuth`
  AwsAuth.Builder.`build()`
  Constructs the `AwsAuth` instance.
  `AwsAuth`
  EventTargetCloudwatchLogs.`getAuth()`
  Configuration for how to authenticate into your AWS account.
  `AwsAuth`
  EventTargetFirehose.`getAuth()`
  Configuration for how to authenticate into your AWS account.
  `AwsAuth`
  EventTargetKinesis.`getAuth()`
  Configuration for how to authenticate into your AWS account.
  Methods in com.ngrok.definitions with parameters of type AwsAuth
  Modifier and Type
  Method
  Description
  `EventTargetCloudwatchLogs.Builder`
  EventTargetCloudwatchLogs.Builder.`auth(AwsAuth auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetFirehose.Builder`
  EventTargetFirehose.Builder.`auth(AwsAuth auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetKinesis.Builder`
  EventTargetKinesis.Builder.`auth(AwsAuth auth)`
  Configuration for how to authenticate into your AWS account.
  Method parameters in com.ngrok.definitions with type arguments of type AwsAuth
  Modifier and Type
  Method
  Description
  `EventTargetCloudwatchLogs.Builder`
  EventTargetCloudwatchLogs.Builder.`auth(Optional<AwsAuth> auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetFirehose.Builder`
  EventTargetFirehose.Builder.`auth(Optional<AwsAuth> auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetKinesis.Builder`
  EventTargetKinesis.Builder.`auth(Optional<AwsAuth> auth)`
  Configuration for how to authenticate into your AWS account.